require 'action_kit_api'

module ActionKitApi
  class Action < ApiDataModel
    include Searchable

    # Required
    attr_accessor :id, :page, :user

    # Other/Active
    attr_accessor :created_user, :custom_fields, :link, :mailing,
                  :opq_id, :referring_mailing, :referring_user, :source, :status,
                  :subscribed_user, :taf_emails_sent

    def initialize(*args)
      @required_attrs = [:page, :user]
      super
    end
  end
end
